List orders
curl --request GET \
--url https://api.piriod.com/orders/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/orders/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 142,
"results": [
{
"customer": "<string>",
"document": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"id": 123,
"description": "<string>",
"exempt": false,
"tax": 123,
"tax_percent": 123,
"total": 123
}
],
"id": 123,
"number": 123,
"address": "<string>",
"state": 123,
"carrier_id": "<string>",
"carrier_name": "<string>",
"licence_plate": "<string>",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"total": 123,
"status": "draft",
"biller_status": "<string>",
"tax_agency": {},
"local_file": "<string>",
"imported": true,
"test_mode": true,
"references": [
{
"date": "2023-12-25",
"document": "<string>",
"serial": "<string>",
"description": "<string>"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Orders
List orders
GET
/
orders
/
List orders
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Query Parameters
Page number to retrieve (1-indexed).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort results by. Prefix with - for descending order
(e.g. -created).
Available options:
draft, finalized, cancelled Response
200 - application/json
Paginated order list.
⌘I
